org.eclipse.gmt.modisco.infra.prefuse

## Class PrefuseGraphContainer

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.prefuse.PrefuseGraphContainer

    public class PrefuseGraphContainer
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPartControl(Composite parent, javax.swing.JPanel treeview)` To embed a Swing component into an SWT component.
`static PrefuseGraphContainer` `getInstance()`

`javax.swing.JPanel`

`initializeGraphViewContainer(Graph graph, java.lang.String label)`
From a prefuse graph, it initializes a GraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.).

`javax.swing.JPanel`

`initializeGraphViewContainer(Graph graph, java.lang.String label, Control controlAdapter)`
From a prefuse graph, it initializes a GraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.).

`javax.swing.JPanel`

`initializeRadialGraphViewContainer(Graph graph, java.lang.String label)`
From a prefuse graph, it initializes a RadialGraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.).

`javax.swing.JPanel`

`initializeRadialGraphViewContainer(Graph graph, java.lang.String label, Control controlAdapter)`
From a prefuse graph, it initializes a RadialGraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.).

`javax.swing.JPanel`

`initializeTreeViewContainer(Graph graph, java.lang.String label, java.lang.String image)`
From a prefuse graph, it initializes a TreeView container, composed of a tree (deduced from graph informations, so the graph shall not contain cyclic links, in this case you should use the initializeRadialGraphViewContainer method instead), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.).

`javax.swing.JPanel`

`initializeTreeViewContainer(Graph graph, java.lang.String label, java.lang.String image, Control controlAdapter)`
From a prefuse graph, it initializes a TreeView container, composed of a tree (deduced from graph informations, so the graph shall not contain cyclic links, in this case you should use the initializeRadialGraphViewContainer method instead), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.).

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static PrefuseGraphContainer getInstance()

#### initializeTreeViewContainer

    public javax.swing.JPanel initializeTreeViewContainer(Graph graph,
                                                          java.lang.String label,
                                                          java.lang.String image)

From a prefuse graph, it initializes a TreeView container, composed of a tree (deduced from graph informations, so the graph shall not contain cyclic links, in this case you should use the initializeRadialGraphViewContainer method instead), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.). To encapsulate the swing component into an SWT component, use provided method createPartControl(Composite parent, JPanel treeview)

Parameters:
  `graph` - informations to build the tree
  `label` - the name of the attribute which will be used to render text of nodes
Returns:
  a swing panel which encapsulate tree view

#### initializeTreeViewContainer

    public javax.swing.JPanel initializeTreeViewContainer(Graph graph,
                                                          java.lang.String label,
                                                          java.lang.String image,
                                                          Control controlAdapter)

From a prefuse graph, it initializes a TreeView container, composed of a tree (deduced from graph informations, so the graph shall not contain cyclic links, in this case you should use the initializeRadialGraphViewContainer method instead), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.). To encapsulate the swing component into an SWT component, use provided method createPartControl(Composite parent, JPanel treeview)

Parameters:
  `graph` - informations to build the tree
  `label` - the name of the attribute which will be used to render text of nodes
  `image` - the name of the attribute which will be used to render image of nodes
  `controlAdapter` - to add a specific listener on tree view
Returns:
  a swing panel which encapsulate tree view

#### initializeRadialGraphViewContainer

    public javax.swing.JPanel initializeRadialGraphViewContainer(Graph graph,
                                                                 java.lang.String label)

From a prefuse graph, it initializes a RadialGraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.). To encapsulate the swing component into an SWT component, use provided method createPartControl(Composite parent, JPanel treeview)

Parameters:
  `graph` - informations to build the radial graph
  `label` - the name of the attribute which will be used to render text of nodes
Returns:
  a swing panel which encapsulate radial graph view

#### initializeRadialGraphViewContainer

    public javax.swing.JPanel initializeRadialGraphViewContainer(Graph graph,
                                                                 java.lang.String label,
                                                                 Control controlAdapter)

From a prefuse graph, it initializes a RadialGraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.). To encapsulate the swing component into an SWT component, use provided method createPartControl(Composite parent, JPanel treeview)

Parameters:
  `graph` - informations to build the radial graph
  `label` - the name of the attribute which will be used to render text of nodes
  `controlAdapter` - to add a specific listener on radial graph view
Returns:
  a swing panel which encapsulate radial graph view

#### initializeGraphViewContainer

    public javax.swing.JPanel initializeGraphViewContainer(Graph graph,
                                                           java.lang.String label)

From a prefuse graph, it initializes a GraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.). To encapsulate the swing component into an SWT component, use provided method createPartControl(Composite parent, JPanel treeview)

Parameters:
  `graph` - informations to build the radial graph
  `label` - the name of the attribute which will be used to render text of nodes
Returns:
  a swing panel which encapsulate radial graph view

#### initializeGraphViewContainer

    public javax.swing.JPanel initializeGraphViewContainer(Graph graph,
                                                           java.lang.String label,
                                                           Control controlAdapter)

From a prefuse graph, it initializes a GraphView container, composed of a radial graph (deduced from graph informations), a search area and custom navigation (left click on an element will center the view on it, right click will zoom out to fit the graph into the window, left press and move will move the graph, etc.). To encapsulate the swing component into an SWT component, use provided method createPartControl(Composite parent, JPanel treeview)

Parameters:
  `graph` - informations to build the radial graph
  `label` - the name of the attribute which will be used to render text of nodes
  `controlAdapter` - to add a specific listener on radial graph view
Returns:
  a swing panel which encapsulate radial graph view

#### createPartControl

    public void createPartControl(Composite parent,
                                  javax.swing.JPanel treeview)

To embed a Swing component into an SWT component.

Parameters:
  `parent` -
  `treeview` -